%global fontname pcaro-hermit
%global fontconf 75-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        1.21
Release:        2%{?dist}
Summary:        Hermit mono-space fonts

Group:          User Interface/X
License:        OFL
URL:            https://pcaro.es/p/hermit
Source0:        https://pcaro.es/d/otf-hermit-%{version}.tar.gz
Source1:        %{name}-fontconfig.conf

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem


%description
Hermit is a mono-space font designed to be clear, pragmatic and very readable.
Its creation has been focused on programming. Every glyph was carefully planned
and calculated, according to defined principles and rules. For this reason,
Hermit is coherent and regular.


%prep
%setup -cq

sed -i $'s/\r$//' LICENSE # remove windows encoding of LICENSE file


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} *.otf


%doc LICENSE


%changelog

* Mon Jul 28 2014 Ryan Brown <sb@ryansb.com> - 1.21-2
- Fix rpmlint encoding and spelling errors

* Mon Jul 28 2014 Ryan Brown <sb@ryansb.com> - 1.21-1
- Created package
- Pulled 1.21 source from upstream
